Package org.eclipse.core.runtime

# Class AssertionFailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.core.runtime.AssertionFailedException

All Implemented Interfaces:
  `Serializable`

public class AssertionFailedException extends RuntimeException
`AssertionFailedException` is a runtime exception thrown by some of the methods in `Assert`.

This class can be used without OSGi running.

This class is not intended to be instantiated or sub-classed by clients.

Since:
  org.eclipse.equinox.common 3.2
See Also:
  - `Assert`
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`AssertionFailedException(String detail)`
Constructs a new exception with the given message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AssertionFailedException

public AssertionFailedException(String detail)
Constructs a new exception with the given message.

Parameters:
  `detail` - the message